estimateCCMErrorRates {ppiStats} | R Documentation

## Estimate false positive and false negative error probabilities

### Description

Estimate false positive and false negative error probabilities for complex comembership edges using a protein complex interactome gold standard

### Usage

    estimateCCMErrorRates(m,GS,filterSystematic=TRUE,
             obsPropThresh=1,SystematicpThresh=.01)

### Arguments

`m` | The bait to prey data adjacency matrix. Baits index the rows and prey index the columns.
`GS` | A gold standard protein complex interaction incidence matrix. Proteins index the rows and protein complexes index the columns.
`filterSystematic` | A logical. If TRUE, all baits with with highly uneven directed degree will be filtered out of the data.
`obsPropThresh` | A numeric between 0 and 1. The proportion of tested proteins found within a protein complex needed to keep that protein complex within the gold standard set.
`SystematicpThresh` | A numeric between 0 and 1. The p-value threshold by which systematic errors are filtered.

### Details

The model is described in the manuscript Estimating node degree in bait-prey graphs. by D. Scholtens et al.

### Value

A list:

`globalpTP` | A numeric between 0 and 1. Estimate of pTP.
`globalpTPSE` | A numeric. Estimate of standard error of globalpTP estimate.
`globalpFP` | A numeric between 0 and 1. Estimate of pFP.
`pTP95CI` | A vector of length 2. 95 percent confidence interval upper and lower bounds for globalpTP estimate.
`pFP95CI` | A vector of length 2. 95 percent confidence interval upper and lower bounds for globalpFP estimate.
`nEligComplexes` | A numeric. Number of complexes from GS that met obsPropThresh criteria.
`nEligBaits` | A numeric. Total number of eligible baits in GS set.
`nEligEdges` | A numeric. Total number of eligible edges in GS set.
`nBaitsInComplexes` | A vector. Number of baits in each eligible complex.
`complexSizes` | A vector. Size of each complex in GS set.

### Author(s)

T. Chiang and D. Scholtens

### References

Scholtens D, Chiang T, Huber W, Gentleman R. Estimating node degree in bait-prey graphs. Bioinformatics. To appear.

### Examples

    data(Ho2002BPGraph)
    data(ScISIC)
    Ho2002mat = as(Ho2002BPGraph,"matrix")
    estimateCCMErrorRates(Ho2002mat,ScISIC)$globalpTP

[Package ppiStats version 1.8.0 Index]